Problem with site: Invalid certificate Firefox refuses to allow access

Robert

Member
I had to use IE11 to gain access, because Firefox in their infinite wisdom has decided your site is blocked off, just because your certificate expired.



Your connection is not secure

The owner of forums.emulator-zone.com has configured their website improperly. To protect your information from being stolen, Firefox has not connected to this website.

This site uses HTTP Strict Transport Security (HSTS) to specify that Firefox may only connect to it securely. As a result, it is not possible to add an exception for this certificate.

Learn more…

Report errors like this to help Mozilla identify and block malicious sites

forums.emulator-zone.com uses an invalid security certificate.

The certificate expired on Saturday, 20 October 2018, 10:59:59. The current time is 21 October 2018, 12:15 am.

Error code: SEC_ERROR_EXPIRED_CERTIFICATE
 

pix07

Member
the same for me im using Opera.
Now im here because im use my second browser called Yandex i was add exception and im here.
IE11 never .
 

Robert

Member
Thanks... at least you are aware of it. My firefox has no option to add an exception... so I must use IE11 to get here.
 

Lefteris_D

Administrator
Staff member
Sadly I have no direct control over the server or the domain in order to get a new certificate. Also, you may use Google Chrome, sure it will complain at first but it will let you add an exception.
 

GHDpro

Administrator
Staff member
Thanks for fixing, but looks like you have to go through it all again in 3 months time.

No Let's Encrypt uses short-term certificates, which are automatically renewed. Assuming nothing breaks (ahem), this "should" never happen again.
 
Top